<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="12" md="12" lg="10">
      <v-card class="overflow-hidden">
        <v-app-bar color="cyan" dense dark>
          <v-app-bar-nav-icon></v-app-bar-nav-icon>
          <v-toolbar-title>จัดการรายการต้นทุนค่าใช้จ่าย</v-toolbar-title>
          <v-spacer></v-spacer>
        </v-app-bar>
        <v-sheet>
          <v-row justify="center"  class="mb-5">
            <v-col class="auto" cols="12" sm="12" md="9" lg="6">
              <listCreate :findLastID="findLastID" :itemType="itemType" />
            </v-col>
            <v-col class="auto" cols="12" sm="12" md="11" lg="10">

              <listList :itemData="itemList" />
            </v-col>
          </v-row>
        </v-sheet>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import listCreate from '@/components/iexpenses/list/listCreate'
import listList from '@/components/iexpenses/list/listList'
import { db } from '@/services/firebase'

import { mapGetters, mapActions } from 'vuex'

import Swal from 'sweetalert2'

export default {
  components: {
    listCreate,
    listList,
  },
  data() {
    return {
      valList: '',
      valType: '',
      editIndex: -1,
      defaultItem: {
        id: null,
        name: '',
        detail: '',
        auth: '',
        typeExpenses: {
          id: '',
          name: '',
          detail: '',
        },
      },
    }
  },
  computed: {
    ...mapGetters({
      costList: 'getExpensesList',
      lastID: 'getExpensesListID',
      costType: 'getExpensesType',
    }),
    findLastID() {
      return this.lastID
    },
    itemList() {
      return this.costList
    },
    itemType() {
      return this.costType
    },
  },
  mounted() {
    this.callListAll()
    this.findID()
    this.callTypeAll()
  },
  methods: {
    ...mapActions({
      callListAll: 'callListAll',
      findID: 'findID',
      callTypeAll: 'callTypeAll',
    }),
  },
}
</script>
<style scoped>
.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
</style>